SystemOrganization addCategory: #'SmallAG-Tests'!
SystemOrganization addCategory: #'SmallAG-Model'!

TestCase subclass: #DeviceTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SmallAG-Tests'!

!DeviceTests methodsFor: 'tests' stamp: 'chaetal 10/18/2011 09:33'!
testReadsVariableValueFromServer
	| device result |
	[ :server | 
	device := AGDevice newAt: #path on: server.
	[ result := device readVariableNamed: #variableName ] should strictly
		satisfy: [ (server readVariableNamed: #variableName from: #path) willReturn: #expectedValue ] ] runScenario.
	result should be: #expectedValue! !

Object subclass: #AGDevice
	instanceVariableNames: 'path server'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SmallAG-Model'!

!AGDevice class methodsFor: 'instance creation' stamp: 'chaetal 10/18/2011 09:30'!
newAt: aString on: aServer
	^ self new path: aString; server: aServer; yourself! !

!AGDevice methodsFor: 'accessing' stamp: 'chaetal 10/18/2011 09:30'!
path: aString
	path := aString! !

!AGDevice methodsFor: 'accessing' stamp: 'chaetal 10/18/2011 09:33'!
readVariableNamed: aString
	^ server readVariableNamed: aString from: path! !

!AGDevice methodsFor: 'accessing' stamp: 'chaetal 10/18/2011 09:32'!
server: aServer
	server := aServer! !
